cls
@echo off
rem
rem ================================================================== 
rem                EX.BAT (MS-DOS version)                
rem                   MS-DOS BATCH FILE for EGS4 RUNS
rem                     Version: 31 OCT 1995 08:00                     
rem ================================================================== 
rem
rem The EGS4 Code System is a product of the SLAC Radiation Physics Group
rem and the NRCC Ionizing Radiation Standards group.  
rem
rem *******************************************************************
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Initialization                                                     
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem *******************************************************************
rem
echo ͻ
echo              EX - MS-DOS VERSION                                     
echo                                                                      
echo              MS-DOS batch file to run a user code previously         
echo              compiled with the EGS4 code system.                     
echo              First time user, inquiries?                             
echo    Alex Bielajew                         Suzan Walker                
echo    Division of Physics                   Lanzl Institute of          
echo    National Research Council    OR        Medical Physics            
echo    Ottawa, CANADA                        3876 Bridge Way N, Suite 300
echo    K1A 0R6                               Seattle, WA 98103           
echo                                          U.S.A.                      
echo    Tel: 613-993-2197                     Tel: 206-545-1141           
echo    E-MAIL: alex@irs.phy.nrc.ca           FAX: 206-545-1347           
echo    FAX: 613-952-9865                     email: suzan@lanzl.com      
echo ͼ
rem
rem
echo Executable module.........................%1.exe
SET dummy=false
if "%HEN_HOUSE%NULL"=="NULL" call egs4env
if "%HEN_HOUSE%NULL"=="NULL" goto No_home
if "%2"=="dummy" set dummy=true
if "%2"=="DUMMY" set dummy=true
if %dummy%==false echo Input file................................%2.inp
echo Pegs data file............................%HEN_HOUSE%\egs4\pegs4\data\%3.dat
set debug=false
if "%4"=="debug" set debug=true    
if "%4"=="DEBUG" set debug=true    
if %debug%==true       echo Debug option..............................ON
if %debug%==false      echo Debug option..............................OFF
echo .
echo Type Control-C to quit, Return to continue
rem pause
cls
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Check that all the inputs exist.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
if not exist %1.exe              goto No_user_code
if not exist %2.inp              goto No_input_file
if not exist %HEN_HOUSE%\egs4\pegs4\data\%3.dat goto No_pegs_file
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Initialization - Execute the initializing user batch command file.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Initialization...
echo .
if exist start.bat del  start.bat
if exist %1.ini    copy %1.ini start.bat > temp.log
if exist start.bat call start
if exist start.bat del  start.bat
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Erase various files that may exist from a previous run.    
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
if exist %2.log    del %2.log
if exist temp.log  del temp.log
if exist user.pdt  del user.pdt
if exist user.inp  del user.inp
if exist user.tmp  del user.tmp
if exist user.lst  del user.lst
if exist user.eff  del user.eff
if exist user.vgr  del user.vgr
if exist user.src  del user.src
if exist user.srt  del user.srt
if exist user.mat  del user.mat
if exist user1.mat del user1.mat
if exist user2.mat del user2.mat
if exist user3.mat del user3.mat
if exist user4.mat del user4.mat
if exist user.mtb  del user.mtb
if exist user.fdt  del user.fdt
if exist user.sp1  del user.sp1
if exist user.chk  del user.chk
if exist user.sum  del user.sum
if exist echo.dat  del echo.dat
if exist pegs4.dat del pegs4.dat
if exist usereco.dat del usereco.dat
if exist user.plt del user.plt
If exist userplt.1 del userplt.1
if exist userplt.2 del userplt.2
if exist userplt.3 del userplt.3
if exist userplt.4 del userplt.4
if exist user.rng del user.rng
if exist user.dat del user.dat
if exist userlast.dat del userlast.dat
if exist user.eco del user.eco
if exist %2.dat copy %2.dat user.dat
rem
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Copy the necessary inputs.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
if exist %2.inp              copy %2.inp user.inp               > temp.log
if exist %2.pdt              copy %2.pdt user.pdt               > temp.log
if exist %HEN_HOUSE%\egs4\pegs4\data\%3.dat copy %HEN_HOUSE%\egs4\pegs4\data\%3.dat pegs4.dat > temp.log
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Run the user code.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Running %1...%2...
echo .
if %debug%==true then
    if "%Edbg_run%NULL"=="NULL" goto No_debug
if %debug%==true     %Edbg_run% %1
if %debug%==false    %1 > %2.log
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Finish - Copy output files and execute the user finishing batch file.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Finishing up...
echo .
if exist user.lst copy user.lst %2.lst > temp.log
if exist user.pdt copy user.pdt %2.pdt > temp.log
if exist user.dat copy user.dat %2.dat > temp.log
if exist user.tmp copy user.tmp %2.tmp > temp.log
if exist user.mtb copy user.mtb %2.mtb > temp.log
if exist user.plt copy user.plt %2.plt > temp.log
if exist user.fdt copy user.fdt %2.fdt > temp.log
if exist user.sp1 copy user.fdt %2.sp1 > temp.log
if exist user.eff copy user.eff %2.eff > temp.log
if exist user.vgr copy user.vgr %2.vgr > temp.log
if exist user.src copy user.src %2.src > temp.log
if exist user.srt copy user.srt %2.fdt > temp.log
if exist user.chk  del user.chk
if exist user.sum  del user.chk
if exist usereco.dat copy usereco.dat %2.eco > temp.log
if exist user1.mat copy user1.mat %2-1.mat > temp.log
if exist user2.mat copy user2.mat %2-2.mat > temp.log
if exist user3.mat copy user3.mat %2-3.mat > temp.log
if exist user4.mat copy user4.mat %2-4.mat > temp.log
if exist user.mat copy user.mat %2.mat > temp.log
if exist userlast.dat copy userlast.dat %2lst.dat > temp.log
if exist user.rng copy user.rng %2.rng > temp.log
if exist user.eco copy user.eco %2.eco > temp.log
if exist %2.log copy %2.log %1.log > temp.log
del pegs4.dat

rem if exist user.pdt del user.pdt > temp.log
if exist user.fdt del user.fdt > temp.log
if exist echo.dat del echo.dat > temp.log
rem
if exist finish.bat del  finish.bat
if exist %1.fin     copy %1.fin finish.bat > temp.log
if exist finish.bat call finish
if exist finish.bat del  finish.bat
del temp.log
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem The end                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
%HEN_HOUSE%\$dattim
echo Successful run, no errors detected.
echo .
goto end
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem Error Handling                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
:No_user_code
%HEN_HOUSE%\$dattim
echo Error. No %1.exe executable file, rename or compile, try again.
echo .
goto end
rem
:No_input_file
%HEN_HOUSE%\$dattim
echo Error. No %2.inp input file, rename or create, try again.
echo .
goto end
rem
:No_pegs_file
%HEN_HOUSE%\$dattim
echo Error. No %HEN_HOUSE%\egs4\pegs4\data\%3.dat pegs data file, rename or create, try again.
echo .
goto end
rem
:No_home
echo Error. No "HEN_HOUSE" environment variable set, try again.
echo .
goto end
rem
:No_debug
echo Error. No "Edbg_run" environment variable set, try again.
echo .
goto end
rem
:end

