cls
@echo off
rem
rem ================================================================== 
rem                MF.BAT (MS-DOS version NRCVM01)                
rem         MS-DOS BATCH FILE for USERCODE/EGS4 COMPILATION
rem                     Version: 31 OCT 1995 08:00                     
rem ================================================================== 
rem
rem The EGS4 Code System is a product of the SLAC Radiation Physics Group
rem and the NRCC Ionizing Radiation Standards group.  
rem
rem *******************************************************************
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Initialization                                                     
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem *******************************************************************
rem
echo ͻ
echo             MF   MS-DOS VERSION                                      
echo                                                                      
echo             MS-DOS batch file to compile a user code with            
echo             the EGS4 code system.                                    
echo             First time user, inquiries?                              
echo    Alex Bielajew                         Suzan Walker                
echo    Division of Physics                   Lanzl Institute of          
echo    National Research Council    OR        Medical Physics            
echo    Ottawa, CANADA                        3876 Bridge Way N, Suite 300
echo    K1A 0R6                               Seattle, WA 98103           
echo                                          U.S.A.                      
echo    Tel: 613-993-2197                     Tel: 206-545-1141           
echo    E-MAIL: alex@irs.phy.nrc.ca           FAX: 206-545-1347           
echo    FAX: 613-952-9865                     email: suzan@lanzl.com      
echo ͼ
rem
rem The home of EGS4 may be changed by editing the file "egs4env.bat"
rem located in the directory where you initially installed
rem EGS4 (its path is also probably in "autoexec.bat" if you
rem did a standard install).
rem
if "%HEN_HOUSE%NULL"=="NULL" call EGS4ENV
if "%HEN_HOUSE%NULL"=="NULL" goto No_home
echo User code.................................%1.mor
set debug=false
if "%2"=="debug" set debug=true    
if "%2"=="DEBUG" set debug=true
if %debug%==true echo Debug option..............................ON
    if "%Edbg_run%NULL"=="NULL" goto No_debug
if %debug%==false    echo Debug option..............................OFF
echo .
echo Type Control-C to quit, Return to continue
pause
cls
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Check that the input exists.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
if not exist %1.mor              goto No_user_code
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Build step - Link the user's code to the EGS4 system according to 
rem              the specifications required by the user.             
rem              The standard configuration resides in STDCONF.BAT.
rem              The user may override this with MYCONF.BAT on her/his
rem              subdirectory that contains the user code to be compiled.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Erase various files that may exist from a previous compilation.    
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem
%HEN_HOUSE%\$dattim
echo Creating %1 $MORTJOB.MOR...
echo .
if exist $mortjob.mor del $mortjob.mor
if exist %1.log del %1.log
if exist myconf.bat call myconf %1
if not exist myconf.bat call %HEN_HOUSE%\egs4\stdconf %1
echo Type Control-C to quit, Return to continue
pause
cls
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Mortran3 step - create user's code FOR from user code's .mor
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Mortran compiling %1 $MORTJOB.MOR...
echo .
if exist $mortjob.lst del $mortjob.lst
if exist $mortjob.for del $mortjob.for
if exist %1.lst       del %1.lst
if exist %1.for       del %1.for
if exist mortran.log  del mortran.log
if exist mortran3.dat del mortran3.dat
if exist %1.tmp       del %1.tmp
copy %HEN_HOUSE%\egs4\mortran3\mortran3.dat mortran3.dat > mortran.log
if %debug%==true   %Edbg_run% %HEN_HOUSE%\egs4\mortran3\mortran3
if %debug%==false %HEN_HOUSE%\egs4\mortran3\mortran3
if errorlevel 1 goto M_error
if exist mortran3.dat del mortran3.dat
if exist $mortjob.lst rename $mortjob.lst %1.tmp
if exist $mortjob.for rename $mortjob.for %1.for
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem FORTRAN compilation step - FORTRAN compile user code's .for
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Fortran compiling %1 $MORTJOB.FOR...
echo Type Control-C to quit, Return to continue..
echo .
PAUSE
if exist %1.lis       del %1.lis
if exist %1.obj       del %1.obj
if exist %1.sld       del %1.sld
if exist fortran.log  del fortran.log
if %debug%==false %Efcompile% %1 %Efc_flags% > %1.lis
if %debug%==true  %Efcompile_dbg% %1 %Efc_dflags% > fortran.log
if errorlevel 1 goto F_error
if exist %1.lst rename %1.lst %1.lis
if exist %1.tmp rename %1.tmp %1.lst
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Link step - create user's code executable file from user code .obj
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Linking %1 $MORTJOB.OBJ...
echo .
if exist %1.exe    del %1.exe
if exist %1.map    del %1.map
if exist link.log  del link.log
%Elink% %1 %Elinkflags% > link.log
if errorlevel 1 goto L_error
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem The end                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
%HEN_HOUSE%\$dattim
echo Compilation of %1 completed successfully.
echo .
goto end

rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem Error Handling                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
:No_user_code
%HEN_HOUSE%\$dattim
echo Error. No %1.mor user code, rename or change directory, try again.
echo .
goto end
rem
:M_error
%HEN_HOUSE%\$dattim
echo Error occured in Mortran Step of %1 - Quitting early.
echo .
goto end
rem
:F_error
%HEN_HOUSE%\$dattim
echo Error occured in Fortran Step of %1 - Quitting early.
echo .
goto end
rem
:L_error
%HEN_HOUSE%\$dattim
echo Error occured in Link Step of %1 - Quitting early.
echo .
goto end
rem
:No_home
echo Error! Environment variable "HEN_HOUSE" is not set!
echo (see READMEOR.DIE for more information).
rem
goto end
:No_debug
echo Error! Environment variable "Edbg_run" is not set!
echo (see READMEOR.DIE for more information).
rem
:end
